# ID Informations

Documents supported are ID Cards (old and new) and Ivorian Resident Card

<details>

<summary>Person Informations</summary>

<mark style="background-color:green;">GET /search/person</mark>

**Headers:**

* &#x20;Api-Key (required): provided by Danaya
* Api-Secret (required): provided by Danaya
* Content-Type (required): application/json

**Request Body: N/A**

**Query Params:**

In an API call, you must specify either `nni`, `idCardNumber`, or `phoneNumber`. Only one of these parameters should be provided at a time.

* **documentType** (required): `CNI` or `CARTE_RESIDENT`
* **nni**: Required for new CNI or CARTE\_RESIDENT (example: 11111111111)
* **idCardNumber**: Required for old CNI, as old CNI does not have an NNI (example: C0111111111)
* <mark style="background-color:orange;">**phoneNumber**</mark><mark style="background-color:orange;">: (not yet available)</mark>

**Responses:**&#x20;

If the person is found all the details will be return

* **OK:**

  * Code: 200
  * Body

  ```json
  {
    "uin": "string",
    "lastName": "string",
    "firstName": "string",
    "gender": "string",
    "birthDate": "string",
    "fatherFirstName": "string",
    "fatherLastName": "string",
    "fatherBirthDate": "string",
    "motherFirstName": "string",
    "motherLastName": "string",
    "motherBirthDate": "string",
    "residenceAdr1": "string",
    "nationality": "string",
    "idCardNumber": "string",
    "birthTown": "string",
    "birthCountry": "string",
    "spouseName": "string",
    "residenceTown": "string",
    "fatherUin": "string",
    "motherUin": "string",
    "residenceAdr2": "string",
    "deliveryDate": "string",
    "deliveryTown": "string",
    "expirationDate": "string",
    "fatherbirthTown": "string",
    "idImageUrl": "string"
  }
  ```
* &#x20;Code : 401
* Code: 400

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.danaya.africa/documentation/integration-mode/rest-api/kyc/id-informations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
